CREATE TABLE t_performa_pj
(
    kd          bigint auto_increment
        PRIMARY KEY,
    kd_pj       varchar(10)  NOT NULL,
    nama_pj     varchar(50)  NOT NULL,
    kd_pc       varchar(10)  NOT NULL,
    kd_pd       varchar(10)  NOT NULL,
    kd_pw       varchar(10)  NOT NULL,
    alamat      varchar(191) NULL,
    ketua_pj    varchar(191) NOT NULL,
    no_hp       varchar(191) NULL,
    provinsi    varchar(2)   NOT NULL,
    kota        varchar(4)   NOT NULL,
    kecamatan   varchar(7)   NOT NULL,
    desa        varchar(10)  NOT NULL,
    q1a         varchar(150) NOT NULL,
    q2a         varchar(150) NOT NULL,
    q3a         varchar(150) NOT NULL,
    q4a         varchar(150) NOT NULL,
    q5a         varchar(150) NOT NULL,
    q6a         varchar(150) NOT NULL,
    q1b         varchar(150) NOT NULL,
    q2b         varchar(150) NOT NULL,
    q3b         varchar(150) NOT NULL,
    q4b         varchar(150) NOT NULL,
    q5b         varchar(150) NOT NULL,
    q6b         varchar(150) NOT NULL,
    q7b         varchar(150) NOT NULL,
    q8b         varchar(150) NOT NULL,
    q9b         varchar(150) NOT NULL,
    q10b        varchar(150) NOT NULL,
    q1c         varchar(150) NOT NULL,
    q2c         varchar(150) NOT NULL,
    q3c         varchar(150) NOT NULL,
    q1d         varchar(150) NOT NULL,
    q2d         varchar(150) NOT NULL,
    q3d         varchar(150) NOT NULL,
    q4d         varchar(150) NOT NULL,
    q5d         varchar(150) NOT NULL,
    q6d         varchar(150) NOT NULL,
    q7d         varchar(150) NOT NULL,
    q8d         varchar(150) NOT NULL,
    q9d         varchar(150) NOT NULL,
    q10d        varchar(150) NOT NULL,
    q11d        varchar(150) NOT NULL,
    q12d        varchar(150) NOT NULL,
    q13d        varchar(150) NOT NULL,
    q14d        varchar(150) NOT NULL,
    q15d        varchar(150) NOT NULL,
    q16d        varchar(150) NOT NULL,
    q17d        varchar(150) NOT NULL,
    q18d        varchar(150) NOT NULL,
    q19d        varchar(150) NOT NULL,
    q20d        varchar(150) NOT NULL,
    q21d        varchar(150) NOT NULL,
    q22d        varchar(150) NOT NULL,
    q23d        varchar(150) NOT NULL,
    q24d        varchar(150) NOT NULL,
    q25d        varchar(150) NOT NULL,
    q26d        varchar(150) NOT NULL,
    q27d        varchar(150) NOT NULL,
    q28d        varchar(150) NOT NULL,
    q1e         varchar(150) NOT NULL,
    q2e         varchar(150) NOT NULL,
    q3e         varchar(150) NOT NULL,
    q4e         varchar(150) NOT NULL,
    q5e         varchar(150) NOT NULL,
    q6e         varchar(150) NOT NULL,
    q7e         varchar(150) NOT NULL,
    q8e         varchar(150) NOT NULL,
    q9e         varchar(150) NOT NULL,
    q10e        varchar(150) NOT NULL,
    q1f         varchar(150) NOT NULL,
    q2f         varchar(150) NOT NULL,
    q3f         varchar(150) NOT NULL,
    q4f         varchar(150) NOT NULL,
    q5f         varchar(150) NOT NULL,
    q6f         varchar(150) NOT NULL,
    q7f         varchar(150) NOT NULL,
    last_survey datetime     NOT NULL,
    created_at  timestamp NULL,
    updated_at  timestamp NULL,
    deleted_at  timestamp NULL,
    foto        varchar(150) NULL,
    total_point int NULL,
    point_c1    int NULL,
    point_c2    int NULL,
    point_c3    int NULL,
    point_c4    int NULL,
    point_c5    int NULL,
    point_c6    int NULL,
    created_by  varchar(50)  NOT NULL,
    updated_by  varchar(50)  NOT NULL,
    CONSTRAINT t_performa_pj_desa_foreign
        FOREIGN KEY (desa) REFERENCES t_desa (id)
            ON DELETE CASCADE,
    CONSTRAINT t_performa_pj_kd_pc_foreign
        FOREIGN KEY (kd_pc) REFERENCES t_pc (kd_pc)
            ON DELETE CASCADE,
    CONSTRAINT t_performa_pj_kd_pd_foreign
        FOREIGN KEY (kd_pd) REFERENCES t_pd (kd_pd)
            ON DELETE CASCADE,
    CONSTRAINT t_performa_pj_kd_pw_foreign
        FOREIGN KEY (kd_pw) REFERENCES t_pw (kd_pw)
            ON DELETE CASCADE,
    CONSTRAINT t_performa_pj_kecamatan_foreign
        FOREIGN KEY (kecamatan) REFERENCES t_kecamatan (id)
            ON DELETE CASCADE,
    CONSTRAINT t_performa_pj_kota_foreign
        FOREIGN KEY (kota) REFERENCES t_kabupaten (id)
            ON DELETE CASCADE,
    CONSTRAINT t_performa_pj_provinsi_foreign
        FOREIGN KEY (provinsi) REFERENCES t_provinsi (id)
            ON DELETE CASCADE
) COLLATE=utf8mb4_unicode_ci;

